import { z } from 'zod';
export declare const currentGameChatInfoEndpoint: {
    readonly name: "Current Game Chat Info";
    readonly description: "Get information about the current game chat";
    readonly category: string[];
    readonly type: "local";
    readonly suffix: "chat/v6/conversations/ares-coregame";
    readonly riotRequirements: {
        readonly localAuth: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            conversations: z.ZodArray<z.ZodObject<{
                cid: z.ZodString;
                direct_messages: z.ZodBoolean;
                global_readership: z.ZodBoolean;
                message_history: z.ZodBoolean;
                mid: z.ZodString;
                muted: z.ZodBoolean;
                mutedRestriction: z.ZodBoolean;
                type: z.ZodEnum<["groupchat", "chat"]>;
                uiState: z.ZodObject<{
                    changedSinceHidden: z.ZodBoolean;
                    hidden: z.ZodBoolean;
                }, "strip", z.ZodTypeAny, {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                }, {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                }>;
                unread_count: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                type: "groupchat" | "chat";
                cid: string;
                direct_messages: boolean;
                global_readership: boolean;
                message_history: boolean;
                mid: string;
                muted: boolean;
                mutedRestriction: boolean;
                uiState: {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                };
                unread_count: number;
            }, {
                type: "groupchat" | "chat";
                cid: string;
                direct_messages: boolean;
                global_readership: boolean;
                message_history: boolean;
                mid: string;
                muted: boolean;
                mutedRestriction: boolean;
                uiState: {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                };
                unread_count: number;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            conversations: {
                type: "groupchat" | "chat";
                cid: string;
                direct_messages: boolean;
                global_readership: boolean;
                message_history: boolean;
                mid: string;
                muted: boolean;
                mutedRestriction: boolean;
                uiState: {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                };
                unread_count: number;
            }[];
        }, {
            conversations: {
                type: "groupchat" | "chat";
                cid: string;
                direct_messages: boolean;
                global_readership: boolean;
                message_history: boolean;
                mid: string;
                muted: boolean;
                mutedRestriction: boolean;
                uiState: {
                    changedSinceHidden: boolean;
                    hidden: boolean;
                };
                unread_count: number;
            }[];
        }>;
    };
};
export type CurrentGameChatInfoResponse = z.input<typeof currentGameChatInfoEndpoint.responses['200']>;
